unit config;

{

 VL:
Copyright (C) 2017  . .

   .

}

interface

type

 TAppConfig = object
               LastCheckedFile : ANSIString;    //     
               ProtType        : integer;       //  
              private
               procedure Init;      //   
              public
               procedure Read;      //    
               procedure Write;     //    
              end;

implementation

uses constants,Registry;

procedure TAppConfig.Init;
begin
 LastCheckedFile := '';
 ProtType := 0;
end;

procedure TAppConfig.Read;
var
 Reg : TRegistry;
begin
 Init;
 Reg := TRegistry.Create;
 if Reg.OpenKey (RegPath,True)
  then begin
        LastCheckedFile := Reg.ReadString ('LastCheckedFile');
        try
         ProtType := Reg.ReadInteger ('ProtType');
        except
         ProtType := 0;
        end;
        Reg.CloseKey;
       end
  else Write;
 Reg.Free;
end;

procedure TAppConfig.Write;
var
 Reg : TRegistry;
begin
 Reg := TRegistry.Create;
 Reg.OpenKey (RegPath,True);
 Reg.WriteString ('LastCheckedFile',LastCheckedFile);
 Reg.WriteInteger ('ProtType',ProtType);
 Reg.CloseKey;
 Reg.Free;
end;

end.
